Loading...
Searching...
No Matches
snd_seq_ump_event_t Struct Reference
MIDI Sequencer » Sequencer Event Definitions

`#include <seq_event.h>`

## Data Fields

snd_seq_event_type_t | type
unsigned char | flags
unsigned char | tag
unsigned char | queue
snd_seq_timestamp_t | time
snd_seq_addr_t | source
snd_seq_addr_t | dest
union { |
snd_seq_event_data_t data |
unsigned int ump [4] |
}; |  |

## Detailed Description

UMP sequencer event; compatible with legacy sequencer event

## Field Documentation

## data

snd_seq_event_data_t snd_seq_ump_event_t::data

(shared) legacy data

## dest

snd_seq_addr_t snd_seq_ump_event_t::dest

destination address

## flags

unsigned char snd_seq_ump_event_t::flags

event flags

## queue

unsigned char snd_seq_ump_event_t::queue

schedule queue

## source

snd_seq_addr_t snd_seq_ump_event_t::source

source address

## tag

unsigned char snd_seq_ump_event_t::tag

tag

## time

snd_seq_timestamp_t snd_seq_ump_event_t::time

schedule time

## type

snd_seq_event_type_t snd_seq_ump_event_t::type

event type

## ump

unsigned int snd_seq_ump_event_t::ump[4]

UMP data bytes

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/seq_event.h